System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.SoapException

When an XML Web service client adds a SOAP header to an XML Web service method call with the property set to true, the XML Web service method must set the property to true; otherwise, a is thrown.

The property cannot be set according to the SOAP specification for a .

Applications that use the SOAP 1.1 specification as the service protocol can use the to access SOAP faults. However, applications that use the SOAP 1.2 specification must use the to access SOAP faults.

The SOAP representation of a server error.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class with parameters for controlling serialization.

  A that contains values that are used during serialization and deserialization.
  A that contains data about the source and destination of the serialization stream.
- Constructor
  To be added

  Initializes a new instance of the class.

  A message that identifies the reason the exception occurred. This parameter sets the property.
  The type of error that occurred. This parameter sets the property.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class.

  A message that identifies the reason the exception occurred. This parameter sets the property.
  The type of error that occurred. This parameter sets the property.
  A reference to the root cause of an exception. This parameter sets the property.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class.

  A message that identifies the reason the exception occurred. This parameter sets the property.
  The type of error that occurred. This parameter sets the property.
  The piece of code that caused the exception. Typically, this is a URL to an XML Web service method. This parameter sets the property.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class.

  A message that identifies the reason the exception occurred. This parameter sets the property.
  The type of error that occurred. This parameter sets the property.
  The piece of code that caused the exception. Typically, this is a URL to an XML Web service method. This parameter sets the property.
  A reference to the root cause of an exception. This parameter sets the property.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with the associated data.

  A message that identifies the reason the exception occurred. This parameter sets the property.
  The type of error that occurred. This parameter sets the property.
  The piece of code that caused the exception. Typically, this is a URL to an XML Web service method. This parameter sets the property.
  An URI that represents the role of the XML Web service in the processing of the SOAP message. This parameter sets the property.
  A reference to the root cause of the exception. This parameter sets the property.
- Constructor
  2.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with the associated data.

  A message that identifies the reason the exception occurred. This parameter sets the property.
  The type of error that occurred. This parameter sets the property.
  The piece of code that caused the exception. Typically, this is a URL to an XML Web service method. This parameter sets the property.
  An URI that represents the role of the XML Web service in the processing of the SOAP message. This parameter sets the property.
  A string that identifies the human language associated with the exception. This parameter sets the property.
  A reference to the root cause of an exception. This parameter sets the property.